:root {
	--Comment: #9b9ea4;
	--Background: #13181e;
	--Constant: #ec843b;
	--PreProc: #e0e2ea;
	--String: #4f8142;
	--Statement: #d4cbbc;
	--Special: #71a1e5;
	--Type: #7a5d73;
	--Function: #71a1e5;
	--Normal: #d4cbbc;
}

pre {
  border-top: 1px solid white;
  border-bottom: 1px solid white;
  padding: 10px 5px;
}

@media (prefers-color-scheme: light) {
	:root {
		--Comment: #4f5268;
		--String: #4f8142;
		--PreProc: #14161b;
		--Statement: #020605;
		--Special: #0c3956;
		--Type: #6d5c7c;
		--Function: #0c3956;
		--Constant: #4f8142;
		--Background: #f7e1d3;
		--Normal: #020605;
	}

	pre {
	  border-top: 1px solid black;
	  border-bottom: 1px solid black;
	  padding: 10px 5px;
	}
}

code {
  color: var(--Normal);
}

code .variable, .operator, .punctuation, .punctuation_delimiter, .punctuation_bracket, .delimiter {
  color: var(--Normal);
}

code .keyword {
  color: var(--Special);
  font-weight: bold;
}

code .type_builtin, .type {
  color: var(--Type);
}

code .string {
  color: var(--String);
}

code .number, .constant, .constant_builtin {
  color: var(--Constant);
}

code .function {
  color: var(--Function);
}
